Agile HTML Editor Information: WHATSNEW.TXT
===========================================
Copyright (c) Compware 1996-1998

Last updated: 13 july 1998

INTRODUCTION
------------
This file describes the features introduced in this and previous versions
of Agile. You can discover the version of your copy of Agile by opening
the about box using the About Agile command (Help menu).

As you can see, Agile is regularly updated to keep up with the latest
features of HTML and to add new features to help you create great web
sites with ease.

-----------------------------------------------------------------------
 Release History
-----------------------------------------------------------------------

v1.20 (13 July 1998)
-----

MISCELLANEOUS
* minor changes to improve performance on Windows 98
* changed HTML template file extension from .htt to .aht
* added closing tags to table head/row/data insert commands

BUGFIXES
* stopped request to dial internet on refreshing preview in IE4
* made robust to change in install directory (could cause crash)
* added some missing tag attributes for IE3
* added some missing event handlers attributes for IE4


v1.10 (16 February 1998)
-----

HELP

Online help has been completely updated to incorporate new features and 
changes.

BUGFIXES
* fixed problems with topics/related toolbars with latest IE4 version
* fixed caption on File/Options dialog which is now back to "Options"


-----------------------------------------------------------------------
 Beta Test History
-----------------------------------------------------------------------

v1.0 beta 15 (6 January 1998)
------------

MISCELLANEOUS
* changed status bar scroll indicator into insert/overwrite indicator

BUGFIXES
* fixed crash when right clicking on non tag or a selection


v1.0 beta 14 (18 December 1997)
------------

HTML 4.0 SUPPORT
* updated support for HTML 4.0 Recommendation (18-dec-1997)
- new OPTGROUP tag
- new ABBR tag
- many new or changed attributes for many tags

BUGFIXES
* fixed obscure crash after using tag properties dialog submenu
* fixed preview problem where filenames are limited to 8.3 characters


v1.00 beta build 13 (17 October 1997)
-------------------
This update contained minor internal code reorganisation only. No
functional changes.


v1.00 beta build 12 (4 October 1997)
-------------------

BUGFIXES
* fixed context help for use with Internet Explorer 4 release version
* fixed insertion of attributes values in lower case when desired


v1.00 beta build 11 (25 September 1997)
------------------

INTERNET EXPLORER 4.0 HTML SUPPORT
* extended "HTML awareness" to Internet Explorer 4
* added support for new tags and attributes (details below)
* added support for new scripting events (details below)
* added support for "scriptlets" - pure HTML objects (details below)

NEW HTML TAGS SUPPORTED (for Internet Explorer 4)
* updated menus to support inserting new tags including:
  - forms: <FIELDSET>, <LEGEND>, <BUTTON>
  - scripting: <NOSCRIPT>
  - other: <LABEL>

NEW SCRIPT EVENTS SUPPORTED (for Internet Explorer 4)
* right-click tag menu updated to include new events:
  - drag start
  - select start
  - resize

SCRIPTLET SUPPORT (for Internet Explorer 4)
Scriptlets are components written in HTML script. You create an
HTML file which implements the component for use on your web site
or even in an application like an ActiveX/OLE control.
* use Agile's new template to get your scriptlet component started
* use Agile's new snippet to use scriptlets in your pages

MISCELLANEOUS
* added ability to select multiple files in File/Open dialog

NEW SETTINGS (File/Options dialog)
* added option to disable "new document at start" on editor tab
* added option to force quoting of attribute values to editor tab

OPTIONS DIALOG
* reorganised the File/Options tabbed dialog
  - added "Editor" tab for tag, attribute and general editor settings
  - added "Previewing" tab for HTML previewing configuration
  - moved many settings from "General" tab to the new tabs
  - changed name of "Appearance" tab to "Coloring"

BUGFIXES
* added missing underline command to HTML 3.2 quick menu


v1.00 beta build 10 (5 September 1997)
------------------

IMPROVED AUDIENCE TARGETTING
* added "HTML Standard" toolbar for instant selection of HTML:
  - choose any single HTML standard 
  - choose your own custom mixture of other standards

PREVIEWING
* added support for previewing in Netscape Navigator v4
* added support for previewing in Netscape Communicator v4

NETSCAPE NAVIGATOR 4.0 / COMMUNICATOR 4.0 SUPPORT
* added support for new Netscape tags (details below)
* added support for new JavaScript events (details below)
* added support for previewing in Netscape Navigator v4
* added support for previewing in Netscape Communicator v4

NEW HTML TAGS SUPPORTED (for Netscape 4.0 / Communicator 4.0)
* updated menus to support inserting new Netscape tags including:
  - layers (dynamic HTML) which allow abosolute positioning of HTML
  - inline styles
  - server side JavaScript using LiveWire

NEW JAVASCRIPT EVENTS SUPPORTED (for Netscape 4.0 / Communicator 4.0)
* right-click tag menu updated to include new Netscape events:
  - mouse events: down, up, double click, move
  - window/frame events: move, resize
  - keyboard events: down, up, press

MISCELLANEOUS HTML SUPPORT
* updated "HTML Support" tab in options dialog
* added active server pages (*.asp) to file open lists etc.
* added channel definition format (*.cdf) to file open lists etc.
* added extensible markup language (*.xml) to file open lists etc.

TOOLBARS
* added toolbar for instant choice of HTML tag support
* added a "Save All" button to the main Agile toolbar

BUGFIXES
* fixed possible lock up when editing near end of file
* fixed some errors in the support for the HTML 4.0 draft
* fixed beta 9 failure to insert attributes in lower case
* fixed default browser paths for non-english windows
* fixed default browser path for Netscape Communicator


v1.00 beta build 9 (16 July 1997)
------------------

HTML 4.0 SUPPORT
* extended "HTML awareness" to support HTML 4.0 (W3C draft 8-July-97)
* right-click tag menu now supports all HTML 4.0 tags and attributes
* added support for thirty tag event handler methods
* added "Event Handlers" submenu to the right-click tag menu
* added commands for inserting new HTML 4.0 tags

OTHER HTML SUPPORT
* added tag event handler support for IE3 and Netscape 2 and 3

PRINTING
* printing and print preview support added
* new file menu commands: Print, Print Preview, Print Setup

BUGFIXES
* fixed double line spacing when previewing <PRE>...</PRE>
* added missing WRAP attribute to <TEXTAREA> for Netscape 2&3
* removed spurious STYLE attribute from various tags
* fixed accidental edit of attribute value in a nested tag
* stopped insertion of anchor into tmp preview files
* added option to set the number of temporary preview files


v1.00 beta build 8 (26 May 1997)
------------------

TEMPLATES & SNIPPETS
 * added a command to save selected text to a Snippet file for re-use
 * new templates/snippets now appear on menus without restarting Agile

EDIT MENU
 * added Go To Line command

HTML CONTEXT HELP
 * fully indexed and cross referenced the HTML References:
   - W3C HTML 3.2 Specification
   - Internet Explorer 3.0
 * added five toolbars to the main Agile and HTML Help windows

HTML HELP WINDOW TOOLBARS
 * added toolbar which lists HTML topics and tags for easy access
 * added toolbar listing topics related to the current HTML topic
 * added toolbar for navigation back and forward between topics

HTML HELP WINDOW
 * added support for Internet Explorer 4 (works quicker than with IE3)
 * now use a minimum size when showing undocked HTML help window
 * changed undocked HTML help window so no longer "always on top"

AGILE TOOLBARS
 * added Tag Lookup toolbar for quick tag lookup in HTML references
 * added HTML reference toolbar to control the HTML Help Window

OPTIONS SETTINGS
 * added choice of "Default HTML Help Reference" 

HTML PREVIEWING
 * added support for Internet Explorer 4
 * disabled scroll preview feature which is unreliable

BUGFIXES
 * fixed some errors in the indexing of HTML references
 * fixed occaisional failure to restore size of HTML ref window 
 * fixed script error when previewing files containing <SCRIPT>
 * fixed occasional failure to reload preview in Internet Explorer
 * fixed Context HTML Help to work when Agile is maximized
 * fixed a number of problems with HTML help window interaction
 * made license key installation tolerate spaces around key string


v1.00 beta build 7 (22 March 1997)
------------------

This was a restricted update to beta 6 which was made available to people
who had problems on Windows NT related to the HTML context help.

BUGFIXES
 * fixed HTML context help support on Windows NT
 * fixed bug where "insert snippet" marked document unmodified
 * restored ability to install a license key from a .cde file
 * fixed some minor memory leaks due to duplicated elements
 * cleared residual undo after loading initial template

v1.00 beta build 6 (16 March 1997)
------------------

HTML Reference Information
 * added built in HTML references for all HTML tags and attributes
   - W3C's official HTML 3.2 recommendation in full (by agreement)
   - Microsoft's Internet Explorer 3 HTML Reference in full (by agreement)
 * HTML references are accessible using context help (F5) or the Help menu
 (Note: viewing the references within Agile requires IE3)

HTML Context Help
 * press F5 to get help on any HTML tag while you are editing it
 * currently for HTML 3.2, this will be extended to other HTML references

HTML Templates
 * Agile now creates new documents based on a default template
 * the default template can be set from the File/Options dialog (general tab)
 * the "File/New From Template" submenu lets you pick a specific template
 * this submenu automatically includes any HTML files you add yourself
 * you can easily create and modify templates and change the default
 * creating new templates is easy using "File/Save Copy As Template"
 * existing templates can be modified using "File/Edit Template"
 * sample template files are provided for you to customise and add to
 * templates have replaced the "Quick/HTML n.n Document" commands

HTML Snippets
 * useful snippets of HTML can be inserted quickly using "Edit/Insert Snippets"
 * this submenu automatically includes HTML files you add yourself
 * snippet files are provided for common HTML features (to be extended)

Right-Click Tag Menu
 * added menu commands to strip HTML tags from selected tags
 * made sure the menu always appears near where the mouse is clicked

Pasting Email Addresses
 * "Paste Url" (Ctrl-U) automatically inserts "mailto:" into email addresses

File Menu
 * added "Save All" to save all modified files
 * added "New From Template", a submenu of all your HTML template files
 * added "Edit Template" for easy update of your HTML templates
 * added "Save Copy As Template" for easy creation of templates

Window Menu
 * added "Close All" to close all windows, prompting to save changes if appropriate

Help Menu
 * added the "HTML References" submenu for access to built in HTML information
 * added the "On The Web" submenu to open key online resources quickly

Edit Menu
 * added "Insert Snippet" submenu for quick insertion of useful HTML from files
 * added "Insert File..." so you can quickly find and insert text or HTML files

Miscellaneous
 * changed default preview behaviour to place browser in front of Agile
 * added missing table data tag <TD> to HTML v3.2 configuration
 * added several missing attributes to Netscape 2.0 and 3.0 table tags
 * added several missing attributes to Internet Explorer 3.0 table tags
 * added missing end tag when inserting <MARQUEE></MARQUEE>
 * tidied up editing of optionally valued attributes
 * prevented occasional insertion of non-valued attributes as ATTRIBUTE=""
 * switched the order of height/width settings when auto setting size in <IMG>
 * added support for ".html-ssi" files in HTML file selection dialogs
 * added support for ".png" portable networked graphics files in dialogs

BUGFIXES
 * using FrontPage to open multiple files in a single Agile now fixed
 * fixed possible loss of previewer application path when opening "File/Options"
 * fixed occaisional loss of edit menu and duplication of advanced menu
 * fixed editing of incorrect value when two attributes have similar names
 * fixed TARGET value insertion (were incorrectly in upper case)
 * fixed occaisional loss of scroll bars when needed
 * fixed occaisional failure to redraw part of the document window


v1.00 beta build 5 (30 October 1996)
------------------

Colour Selection From "Tag Right-Click" Menu
 * added submenus for quick choice of colour values when "right-clicking"
   on any tag which uses colour attributes. Features:
    - samples of the colours are shown on the submenu
    - ability to include your own custom defined colours on the submenu
    - ability to include the standard 16 HTML colours for VGA displays
    - quick access to a true HTML palette dialog for 256 colour displays

True HTML Colour Palette Dialog
 * added an HTML palette dialog for choosing colours using multiple methods
   of selection, with the chosen colour being updated immediately in a sample
   area on the dialog:
    - click on a palette of the 216 standard colours supported by Netscape
      and Internet Explorer on any 256 colour display
    - choose from a list of the 16 standard colours supported by VGA displays
    - adjust red, green and blue values using sliders
    - enter individual hexadecimal or decimal values
    - enter the full hexadecimal value
    - enter the html colour name

Custom Colour Definition
 * added ability to define your own set of named custom colours
    - define your colours using the palette dialog described above
    - give them meaningful names
    - order them as you like (e.g. by colour or frequency of use)
    - have them immediately accessible on the colour menu when editing tags

Netscape 3.0 Support
 * added tag/attribute insertion and editing for Netscape 3 features including
   - multi-column text using <MULTICOL>
   - controlling frame border size/colour with new FRAME/FRAMESET attributes
   - controlling word and line spacing etc. using <SPACER>
   - choosing font names using the FACE attribute in <FONT>
   - loading non-inline scripts from external files using <SCRIPT>
   - naming the archive file for an <APPLET> (speeds loading of Java applets)
   - setting text styles using <S> (strikeout) and <U> (underline)

"Send To" Support
 * added ability to include Agile in the "Send To" right-click on file menu
 * if a shortcut to Agile.exe is placed in the "Windows\SendTo" folder:
   - right click on a file and choose "Send To/Agile" to edit the file
   - if multiple files are selected, "Send To" will open them all for editing
   - if Agile is already running, it will be activated and will open the files
     without starting a second copy

Drop on Shortcut Support
 * similar to "Send To" support above, you can drag one or more files from
   Windows Explorer and drop them on an Agile Shortcut to edit them.

Single Agile Instance Feature
 * a running copy of Agile is now always re-used, so that if Agile is running:
   - trying to start a second copy will just activate the running Afile
   - choosing "Send To/Agile" to edit single/multiple files will activate the
     running copy, which will then open the files for editing
   - dragging and dropping single or multiple files onto an Agile shortcut,
     will activate the running copy, and open the files for editing

Multi-Level Undo/Redo
 * undo and redo now mark the document as unmodified if you undo all changes
 * a "*" in the document window title indicates it has unsaved changes

Install Program
 * re-implemented from scratch to fix problems with uninstall
 * reduced install program size by 300k to 1.3M to speed up downloads
 * in future, incremental updates will speed downloads of upgrades even more

Miscellaneous
 * added support to auto-size setting for "progressive JPEG" images
 * can now handle command line with unquoted file path containing spaces
 * removed ability to exclude/disable "obscure" attributes from tag edit menu
 * added support for browsing JavaScript ".js" files when setting source
   code URLs

BUGFIXES
 * fixed failure to preserve maximised window position between sessions
 * fixed insertion of preformatted HTML to allow newlines to copy and paste
   properly into other apps
 * fixed failure to edit files when started from Netscape Gold (when file or
   path contained spaces)
 * fixed sizing of document windows to fit within main window on start up
   (when main window is small)
 * fixed failure to set text font correctly before initial colouring of new
   document
 * fixed failure to preserve some editor configuration settings between runs
 * prevented spurious message about failing to set image size when browsing
   for .htm/.html file URLs
 * fixed missing floating frame tag, <IFRAME>, and fixed menu command
 * fixed lack of <FRAME> tag with Netscape 2 HTML support
 * fixed intermittant crash when updating preview in Netscape


v1.00 beta build 4
------------------

This was a very restricted release with no changes in functionality,
made for the sole purpose of tracking down a software problem, which
has been fixed.


v1.00 beta build 3 (29 August 1996)
------------------

Tag Editing
 * added ability to set image height/width automatically from edit value dialog
 * and as a Tag right-button menu option "Set Size From"

Previewing
 * added support for Internet Explorer 3 and Netscape Navigator 3
 * added "bring browser to front on preview" functionality
 * added an option to keep "Agile In Front Of Browser"
 * improved browser preview ability to "scroll to edited area"

HTML Support
 * added Internet Explorer 3 support (floating frames, style sheets, etc.)

Configuration Options
 * added options to enable or disable
   - automatic setting of image tag h/w when pasting a GIF/JPEG URL into a tag
   - conversion of file URL's to relative paths
   - conversion of file URL's to lower case
   - keeping Agile in front of browser after updating the preview

Windows NT Setup Program
 * fixed program menu "Help shortcuts" which were invoking 16 bit help and so
   didn't work on Windows NT

Miscellaneous
 * added "Tips on Using Agile" at start up (to be expanded)
 * increased width of recent file entry on file menu before it gets abbreviated
 * added automatic crash logging to aid identifying really nasty bugs

BUGFIXES
 * fixed edit/undo failure to properly undo automatic changes to tag attributes
 * fixed edit/undo failure to undo keyboard repeat input in some circumstances
 * fixed incorrect disabling of tags matched by "and tags common to all of"
   HTML Support settings
 * fixed intermittent "out of memory writing preview file" that frequently
   afflicted previewing with Netscape
 * fixed unreliable scroll to edit region for all browsers
 * fixed problem where relative paths (eg for inserted URL attribute)
   generated "../CurrentDir/file" instead of just "file" when "file" is in
   the same directory as the document.
 * fixed paste URL problem which inserted long filename paths in short format
 * fixed URL helper dialog insertion of backslash in relative paths instead
   of forward slash
 * fixed lack of title on help windows
 * fixed possibility that install license dialog showing an invalid filepath
   and breaking the browse button
 * prevented accidental overwrite of file when saving/closing modified files
   without a license key installed


v1.00 beta build 2 (Aug 1996)
------------------

HTML Support
 * added support for Internet Explorer 3.0 (currently beta 1) including the
   all singing all dancing <OBJECT> element and some table extensions. (Note
   that IE 3.0 beta 1 is too buggy to support previewing yet.)
 * added helper diaogs for browsing for file base URLs of various types
   including (html files, images, sounds, animations, source code and applets).

Miscellaneous
 * added ability to open and create files referenced in a tag URL using the
   right button menu. Works for HTML and non-HTML files (e.g. .htm, .gif, .zip
   etc.)
 * added support for .html, .shtml and .sht file extensions in file open/save
   dialogs
 * fixed bug which allowed Paste URL between <A></A> but then failed the paste
 * context sensitive help
 * install program
 * added dlls, text files etc to the distribution
 * changed the license code browse dialog to reset to keep the full filepath
   if the file exists
 * fixed license code file type string for browse licenses dialog

File/Options Settings
 * renamed the "Editor" tab as "General" to reflect the mix of options it now
   provides
 * removed excessive browser previewer configuration and moved settings onto
   a General tab


v1.00 beta build 1 (27 May 1996)
------------------

Syntax Colouring
 * extended colouring to different tag types (structure/list/table/style etc.)
 * colour highlights non-supported tags
 * colour highlights tags with invalid names

HTML Support
 * extended to include Internet Explorer 2, Netscape Navigator 2 and HTML 3.2
   (the main extensions include tables, Java and Plug-ins, font sizing and
   colouring, background sounds)
 * HTML support is defined by a selection of tags from multiple
   "specifications", that is, by HTML spec or browser support. You can include
   all tags from selected "specs" and also a common set of tags supported by
   another set of chosen specs.

Changes to "Appearance" (Syntax Colouring) settings (see File/Options):
 * enforced single font for text and tags
 * improved user interface of appearance tab with colour list etc.
 * faster opening of appearance tab and removed the need for richtx32.ocx
 * fixed flicker of selection that could occur during background syntax
   colouring

Changes to Previewing
 * fixed Netscape 2 not following anchor to fragments
 * fixed Netscape 2 losing content on resizing window

Miscellaneous
 * minor changes to license installation initial file spec
 * prevented syntax colouring pause after pasting large selection
 * fixed size of edit area that could occur after window becomes maximised


v1.00 beta build 0 (2 May 1996)
------------------

First public release designed to run on Windows 95 and
Windows NT, but so far tested only on Windows 95.